unit FWhisperSplitter;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ComCtrls, StdCtrls, UWhisperSplitter;

type
  TfrmWhisperSplitterDemo = class(TForm)
    Panel1: TPanel;
    SplitterLeft: TSplitter;
    Panel2: TPanel;
    Image_DotInset: TImage;
    Panel3: TPanel;
    SplitterRight: TSplitter;
    Panel4: TPanel;
    SplitterBottom: TSplitter;
    Panel5: TPanel;
    SplitterTop: TSplitter;
    btnMinimizeAll: TButton;
    btnRestoreAll: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnRestoreAllClick(Sender: TObject);
    procedure btnMinimizeAllClick(Sender: TObject);
  private
    { Private declarations }
    fSplitterLeft: TWhisperSplitter;
    fSplitterRight: TWhisperSplitter;
    fSplitterBottom: TWhisperSplitter;
    fSplitterTop: TWhisperSplitter;
  public
    { Public declarations }
  end;

var
  frmWhisperSplitterDemo: TfrmWhisperSplitterDemo;

implementation

{$R *.dfm}

procedure TfrmWhisperSplitterDemo.btnMinimizeAllClick(Sender: TObject);
begin
  fSplitterLeft.Minimize;
  fSplitterRight.Minimize;
  fSplitterTop.Minimize;
  fSplitterBottom.Minimize;
end;

procedure TfrmWhisperSplitterDemo.btnRestoreAllClick(Sender: TObject);
begin
  fSplitterLeft.Restore;
  fSplitterRight.Restore;
  fSplitterTop.Restore;
  fSplitterBottom.Restore;
end;

procedure TfrmWhisperSplitterDemo.FormCreate(Sender: TObject);
begin
  fSplitterLeft := TWhisperSplitter.Create(SplitterLeft, Panel1);
  fSplitterLeft.Bitmap := Image_DotInset.Picture.Bitmap;

  fSplitterRight := TWhisperSplitter.Create(SplitterRight, Panel3);
  fSplitterRight.Bitmap := Image_DotInset.Picture.Bitmap;
  fSplitterRight.AutoRestore := true;

  fSplitterBottom := TWhisperSplitter.Create(SplitterBottom, Panel4);
  fSplitterBottom.Bitmap := Image_DotInset.Picture.Bitmap;
  fSplitterBottom.BitmapInterations := 20;
  fSplitterBottom.AutoRestore := true;
  fSplitterBottom.HighlightColor := clMoneyGreen;

  fSplitterTop := TWhisperSplitter.Create(SplitterTop, Panel5);
  //fSplitterTop.Bitmap := Image_DotInset.Picture.Bitmap;
  fSplitterTop.HighlightColor := clMoneyGreen;
end;


procedure TfrmWhisperSplitterDemo.FormDestroy(Sender: TObject);
begin
  FreeAndNil(fSplitterLeft);
  FreeAndNil(fSplitterRight);
  FreeAndNil(fSplitterBottom);
end;

end.
